#' inRename
#'
#' @param data A internode frame
#' @description A helper function which renames my internode datasets
#' @export
inRename <- function(data){

  require(checkmate)
  require(dplyr)

  assertNames(names(data), must.include = c("Sowing_Number", "Conditions", "Genotype", "Mutant", "Age",
                                            "Plant_Number", "Comments", "Plant_Height", "Secondary_axis_Length"),
                .var.name = "data")

  data <- rename(data,
                 sowing_number = .data$Sowing_Number,
                 conditions = .data$Conditions,
                 genotype = .data$Genotype,
                 mutant = .data$Mutant,
                 age = .data$Age,
                 plant_number = .data$Plant_Number,
                 comments = .data$Comments,
                 plant_height = .data$Plant_Height,
                 secondary_axis_length = .data$Secondary_axis_Length)

  return(data)
}
