#' moe
#'
#' @param data A vector of numeric type
#' @param alpha The significance level (default = 0.05)
#'
#' This calculates a margin of error (half a confidence interval) with the default being 95%.
#'
#' @export
moe <- function(data, alpha = 0.05){

  require(checkmate)

  assertNumeric(data, min.len = 2, .var.name = "data")

  moe <- qt(1 - (alpha / 2), sum(!is.na(data)) - 1) * (sd(data, na.rm = TRUE)/sqrt(sum(!is.na(data))))
  return(moe)
}
